手机版
你好,游客 登录 注册
背景:
阅读新闻

CVE-2019-5475:Nexus Repository Manager 2 - 操作系统命令注入漏洞警报

[日期:2019-09-11] 来源:Linux公社  作者:醉落红尘 [字体: ]

安全研究员Christian August Holm Hansen在Nexus Repository Manager 2.X中披露了一个远程命令执行漏洞。 该漏洞默认具有部署权限帐户。 成功登录后,您可以使用“createrepo”或“mergerepo”来自定义配置,并可以触发远程命令执行漏洞。 CVE ID为CVE-2019-5475。

图像:sonatype

Nexus是一个存储库管理器。 它允许您代理,收集和管理您的依赖项,这样您就不会经常处理JAR集合。 它使您可以轻松分发软件。 在内部,您将构建配置为将工件发布到Nexus,然后它们可供其他开发人员使用。 您可以获得拥有自己“核心”的好处,而且没有更简单的方法可以进行协作。“

Nexus Repository Manager 2.x版本默认部署权限帐户admin/admin123,攻击者可以使用“createrepo”或“mergerepo”配置直接登录,以实现远程命令执行。

受影响的版本

  • Nexus Repository Manager OSS <= 2.14.13
  • Nexus Repository Manager Pro <= 2.14.13

未受影响的版本

  • Nexus Repository Manager OSS/Pro version 2.14.14

解决方法

受影响的用户将尽快更新为未受影响的版本。

Linux公社的RSS地址https://www.linuxidc.com/rssFeed.aspx

本文永久更新链接地址https://www.linuxidc.com/Linux/2019-09/160591.htm

linux
相关资讯       CVE-2019-5475  Nexus Repository Manager 2 
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款